Bug 127132 - too few lines in scroll buffer
too few lines in scroll buffer
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xterm (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-02 09:28 EDT by Stuart Children
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-23 12:36:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stuart Children 2004-07-02 09:28:11 EDT
In xterm-191-1 the saveLines resource (which determines the number of
lines that have scrolled off-screen to be saved) is now set to a
default of 64. In xterm 179 (FC1) it was set to 2500.

64 is far too low and means users are unable to check all but the very
most recent output. Even 'ls -la ~' (for a desktop user) may use up
more than that. Advanced users (who are the people most likely to be
using xterm) are more likely to require even more. Think compiles,
debugging output, even just long sessions etc.

Doing fairly standard development work I find that I need at least
1024 lines on a day-to-day basis, and would be happy with that as a
default.


Workaround for individual users is this in ~/.Xresources:

xterm*saveLines: 1024
Comment 1 Thomas E. Dickey 2004-07-02 19:44:56 EDT
2500 was a Redhat customization.
64 is the longstanding default (which I have the impression
is so low simply to make the process not use extra memory).
Comment 2 Thomas E. Dickey 2004-07-02 20:56:04 EDT
I am modifying the app-defaults file for xterm patch #192,
do not see a need to modify the compiled-in default value.
Comment 3 Mike A. Harris 2004-07-03 04:21:03 EDT
Stuart) Our xterm-191 package was built with all Red Hat
customizations disabled, just to determine which of our
customizations we could dispose of in the future, in order
to try to stay closer to upstream sources.

For the scrollback lines, I'll wait for xterm 192 to be released
and update to that and see if the new defaults Thomas has provided
work our well for people.

I'll leave this open for now until we make the update to 192, at
which point I'll ping others for testing.

Thanks for testing out the new build and reporting this to us!


Thomas) Thanks for looking into changing the defaults also.
Comment 4 Thomas E. Dickey 2004-07-13 20:25:47 EDT
I committed patch #192 last night, so the next time you update
your package this should be closed.
Comment 5 Mike A. Harris 2004-07-13 21:10:35 EDT
Ok, thanks Thomas.  I'm updating to 192 right now.  Going to leave
this bug report open for now though to track this for when I update
our resources patch, to ensure I remove our local customization
for this.


Note You need to log in before you can comment on or make changes to this bug.